Skip to main content
GET
/
schedules
/
{scheduleId}
Get Schedule
curl --request GET \
  --url https://api.lemlist.com/api/schedules/{scheduleId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/schedules/{scheduleId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/schedules/{scheduleId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/schedules/{scheduleId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/schedules/{scheduleId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "_id": "skd_iQiNG7VinWIUkgLy1",
  "name": "Renamed Schedule",
  "secondsToWait": 1000,
  "timezone": "Europe/Berlin",
  "start": "08:00",
  "end": "18:00",
  "weekdays": [
    1,
    2,
    3,
    2,
    5
  ],
  "public": true,
  "teamId": "tea_8QvkOiBfPdb2ZRhHi",
  "createdBy": "usr_ahfFktBBHUIxbVG5P",
  "createdAt": "2025-10-27T09:41:11.187Z"
}
"Bad team"
"The authentication you supplied is incorrect"
"Schedule not found"
This endpoint uses the Schedule object.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

scheduleId
string
required

The unique identifier of the schedule

Response

Success

Sending time windows defining when campaigns can send messages (days and hours).

_id
string
required

Unique schedule identifier

name
string
required

Schedule name

secondsToWait
integer
required

Seconds between sends

timezone
string
required

Schedule timezone (e.g., 'Europe/Paris')

start
string
required

Daily start time (HH:mm)

Pattern: ^([01]\d|2[0-3]):[0-5]\d$
end
string
required

Daily end time (HH:mm)

Pattern: ^([01]\d|2[0-3]):[0-5]\d$
weekdays
integer[]
required

Active weekdays (1=Monday, 7=Sunday)

Required range: 1 <= x <= 7
public
boolean

Whether the schedule is available as a template for other users

teamId
string

Unique identifier of the team that owns this schedule

createdBy
string

Unique identifier of the user who created this schedule

createdAt
string<date-time>

Timestamp when the schedule was created

deletedAt
string<date-time>

Timestamp when the schedule was deleted (only present if deleted)

deletedBy
string

Unique identifier of the user who deleted this schedule (only present if deleted)